- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QWSCalibratedMouseHandler Class Reference

Search for all occurrences

## Detailed Description

Definition at line 92 of file qmouse_qws.h.

`#include <qmouse_qws.h>`

Inheritance diagram for QWSCalibratedMouseHandler:
[legend]

List of all members.

## Public Member Functions
| QWSCalibratedMouseHandler (const QString &driver=QString(), const QString &device=QString())
virtual void | clearCalibration ()
virtual void | calibrate (const QWSPointerCalibrationData *)
virtual void | getCalibration (QWSPointerCalibrationData *) const
## Protected Member Functions
bool | sendFiltered (const QPoint &, int button)
QPoint | transform (const QPoint &)
void | readCalibration ()
void | writeCalibration ()
void | setFilterSize (int)

## Constructor & Destructor Documentation

QWSCalibratedMouseHandler | ( | const QString & | driver = `QString()`,
|  | const QString & | device = `QString()`
| ) |  | `[explicit]`

## Member Function Documentation

virtual void clearCalibration | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWSMouseHandler.

Reimplemented in QWSTslibMouseHandler.

virtual void calibrate | ( | const QWSPointerCalibrationData * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWSMouseHandler.

Reimplemented in QWSTslibMouseHandler.

virtual void getCalibration | ( | QWSPointerCalibrationData * |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWSMouseHandler.

bool sendFiltered | ( | const QPoint & | ,
|  | int | button
| ) |  | `[protected]`

Search for all occurrences

QPoint transform | ( | const QPoint & |  | ) | `[protected]`

Search for all occurrences

void readCalibration | ( |  | ) | `[protected]`

Search for all occurrences

void writeCalibration | ( |  | ) | `[protected]`

Search for all occurrences

void setFilterSize | ( | int |  | ) | `[protected]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qmouse_qws.h

QWSCalibratedMouseHandler QWSCalibratedMouseHandler QWSCalibratedMouseHandler QWSCalibratedMouseHandler QWSCalibratedMouseHandler QWSCalibratedMouseHandler QWSCalibratedMouseHandler QWSCalibratedMouseHandler QWSCalibratedMouseHandler QWSCalibratedMouseHandler
QWSCalibratedMouseHandler QWSCalibratedMouseHandler QWSCalibratedMouseHandler QWSCalibratedMouseHandler QWSCalibratedMouseHandler QWSCalibratedMouseHandler QWSCalibratedMouseHandler QWSCalibratedMouseHandler QWSCalibratedMouseHandler QWSCalibratedMouseHandler